Package org.codehaus.groovy.tools.groovydoc

# Class FileSystemResourceManager

java.lang.Object
org.codehaus.groovy.tools.groovydoc.FileSystemResourceManager

All Implemented Interfaces:
  `ResourceManager`

public class FileSystemResourceManager extends Object implements ResourceManager

## Constructor Summary

Constructors
Constructor
Description
`FileSystemResourceManager()`
`FileSystemResourceManager(String basedir)`

## Method Summary

Modifier and Type
Method
Description
`Reader`
`getReader(String resourceName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FileSystemResourceManager

public FileSystemResourceManager()

### FileSystemResourceManager

public FileSystemResourceManager(String basedir)

## Method Details

### getReader

public Reader getReader(String resourceName) throws IOException

Specified by:
  `getReader` in interface `ResourceManager`
Throws:
  `IOException`